Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1818700 - Review Request: python-fs - Python's Filesystem abstraction layer
Summary: Review Request: python-fs - Python's Filesystem abstraction layer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-30 07:00 UTC by Parag Nemade
Modified: 2020-04-08 02:53 UTC (History)
2 users (show)

Fixed In Version: python-fs-2.4.11-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 13:20:36 UTC
Type: Bug
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Parag Nemade 2020-03-30 07:00:29 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-fs.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-fs-2.4.11-1.fc32.src.rpm

Description:
Think of PyFilesystem's FS objects as the next logical step to Python's file
objects. In the same way that file objects abstract a single file, FS objects
abstract an entire filesystem.

Fedora Account System Username: pnemade

Comment 1 Parag Nemade 2020-03-30 07:02:26 UTC
Successful scratch build by disabling %check is http://koji.fedoraproject.org/koji/taskinfo?taskID=42858047
Failed scratch build by enabling %check is http://koji.fedoraproject.org/koji/taskinfo?taskID=42858058

This package is dependency for python3-fonttools/fonttools package.

Comment 2 Miro Hrončok 2020-03-30 09:51:40 UTC
Upstream sues pytest to run the tests:

https://github.com/PyFilesystem/pyfilesystem2/blob/master/tox.ini



BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-randomly)


%check
# tests/test_ftpfs.py needs pyftpdlib (not packaged yet)
%{python3} -m pytest --ignore tests/test_ftpfs.py


This gets the test running, but the mock_appdir_directories fixture cannot be found, because https://github.com/PyFilesystem/pyfilesystem2/blob/master/tests/conftest.py is not in the source tarball.

Comment 4 Parag Nemade 2020-03-30 10:16:20 UTC
Thank you for your suggestions. Here is fixed package,

Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-fs.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-fs-2.4.11-2.fc32.src.rpm

Comment 5 Miro Hrončok 2020-03-30 13:11:46 UTC
I've been side tracked by other work and will not get back to this for the next several hours. Sorry about that.

If anyone else would get to this review faster, please don't hesitate to reassign to yourself.

Comment 6 Miro Hrončok 2020-03-30 21:07:02 UTC
for now, rpmlint says:

python3-fs.noarch: E: zero-length /usr/lib/python3.8/site-packages/fs/py.typed

What is this file for?

Comment 7 Miro Hrončok 2020-03-31 00:02:04 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Package APPROVED, please examine the empty file and figure out what it is, but that's not a blocker.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License".
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-fs-2.4.11-2.fc33.noarch.rpm
          python-fs-2.4.11-2.fc33.src.rpm
python3-fs.noarch: E: zero-length /usr/lib/python3.8/site-packages/fs/py.typed
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
python3-fs.noarch: W: invalid-url URL: https://pypi.org/project/fs/ <urlopen error [Errno -2] Name or service not known>
python3-fs.noarch: E: zero-length /usr/lib/python3.8/site-packages/fs/py.typed
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Source checksums
----------------
https://github.com/PyFilesystem/pyfilesystem2/archive/v2.4.11/fs-2.4.11.tar.gz :
  CHECKSUM(SHA256) this package     : 246424187f5a509b6dc1573c66fb203e375eab79f540dbd829dd058082be98b1
  CHECKSUM(SHA256) upstream package : 246424187f5a509b6dc1573c66fb203e375eab79f540dbd829dd058082be98b1


Requires
--------
python3-fs (rpmlib, GLIBC filtered):
    (python3.8dist(appdirs) >= 1.4.3 with python3.8dist(appdirs) < 1.5)
    (python3.8dist(six) >= 1.10 with python3.8dist(six) < 2)
    python(abi)
    python3.8dist(pytz)
    python3.8dist(setuptools)



Provides
--------
python3-fs:
    python-fs
    python3-fs
    python3.8dist(fs)
    python38-fs
    python3dist(fs)



Generated by fedora-review 0.7.0 (fed5495) last change: 2019-03-17
Command line :try-fedora-review -b 1818700 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Shell-api, Generic
Disabled plugins: Ruby, PHP, Ocaml, Perl, Haskell, Java, SugarActivity, C/C++, fonts, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 8 Igor Raits 2020-03-31 07:48:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-fs

Comment 9 Parag Nemade 2020-03-31 13:19:35 UTC
Thank you for the quick review.

I have kept py.typed empty file.

Comment 10 Fedora Update System 2020-03-31 13:37:19 UTC
FEDORA-2020-2057df25fa has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2057df25fa

Comment 11 Fedora Update System 2020-04-01 02:14:59 UTC
FEDORA-2020-2057df25fa has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-2057df25fa \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2057df25fa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-08 02:53:29 UTC
FEDORA-2020-2057df25fa has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.